<?php
class Cielo{

	private $db;
	
    public function __construct($registry) {
	  $this->db      = $registry->get('db');
	  $this->session = $registry->get('session');
	  
	  if(!isset($this->session->data['ultimo_status'])){
		$this->session->data['ultimo_status'] = "Status indefinido";
	  }
	}

	
	public function getStatusCielo($order_id) {
	    if ($order_id == ""){
		  return $this->session->data['ultimo_status'];
		}
	
        $retorno = "Status indefinido";
		
		$query = $this->db->query('select status from order_cielo where pedido_numero = ' . $order_id);
		
		$status = "";
		if($query->num_rows){
		  $status = $query->row['status'];
		}else{
		  $this->session->data['ultimo_status'] = "";
		  return "";
		}
		
		if($status){
		
			switch($status){
			
			  case "0":
			    $retorno = "Transa&ccedil;&atilde;o Criada";
				break;
			
			  case "1":
			    $retorno = "Transa&ccedil;&atilde;o em Andamento";
				break;
				
			  case "2":
			    $retorno = "Transa&ccedil;&atilde;o Autenticada";
				break;					

			  case "3":
			    $retorno = "Transa&ccedil;&atilde;o n&atilde;o Autenticada";
				break;
				
			  case "4":
			    $retorno = "Transa&ccedil;&atilde;o Autorizada";
				break;
				
			  case "5":
			    $retorno = "Transa&ccedil;&atilde;o n&atilde;o Autorizada";
				break;
				
			  case "6":
			    $retorno = "Transa&ccedil;&atilde;o Capturada";
				break;
				
			  case "9":
			    $retorno = "Transa&ccedil;&atilde;o Cancelada";
				break;
				
			  case "10":
			    $retorno = "Transa&ccedil;&atilde;o em Autentica&Ccedil;&atilde;o";
				break;
				
			  case "12":
			    $retorno = "Transa&ccedil;&atilde;o em Cancelamento";
				break;
			}

		}
		$this->session->data['ultimo_status'] = $retorno;
	    return $retorno; 	

	}
	
}
?>